import es 
import os.path 
import cPickle 
simp_kill_credit = 3
simp_teamkill_credit = 3
simp_bomb_planted_credit = 2
simp_bomb_defused_credit = 2
simp_hostage_rescued_credit = 1
simp_hostage_killed_credit = 1
simp_round_win_credit = 5

SimpleCreditData = {} 

info = es.AddonInfo()
info['name']        = "SimpleCredits"
info['version']     = "1.1"
info['author']      = "Erionville"
info['url']         = "http://addons.eventscripts.com/addons/view/SimpleCredits"
info['description'] = "A Simple Credit system for scripters only"

es.ServerVar('SimpleCredits_Version', info['version'], 'SimpleCredits made by Erionville').makepublic()

def load(): 
        global Players 
        str_path = es.getAddonPath('SimpleCredits') + '/SimpleCreditData.db' 
        if os.path.isfile(str_path): 
                file_users = open(str_path) 
                Players = cPickle.load(file_users) 
                file_users.close() 

def player_activate(event_var): 
        global Players 
        if not SimpleCreditData.has_key(event_var['es_steamid']): 
                SimpleCreditData[event_var['es_steamid']] = {} 
                SimpleCreditData[event_var['es_steamid']]['Credits'] = 0 			
				
def player_death(event_var): 
        if event_var['es_userteam'] != event_var['es_es_attackersteamidteam']: 
                global Players 
                global simp_kill_credit 
                Credits = SimpleCreditData[event_var['es_attackersteamid']]['Credits'] + simp_kill_credit 
                SimpleCreditData[event_var['es_attackersteamid']]['Credits'] = Credits 
        if event_var['es_userteam'] == event_var['es_es_attackersteamidteam']: 
                global Players 
                global simp_teamkill_credit 
                Credits = SimpleCreditData[event_var['es_attackersteamid']]['Credits'] - simp_teamkill_credit 
                SimpleCreditData[event_var['es_attackersteamid']]['Credits'] = Credits
				
def bomb_planted(event_var):				
        global Players 
        global simp_bomb_plant_credit 
        Credits = SimpleCreditData[event_var['es_steamid']]['Credits'] + simp_bomb_plant_credit 
        SimpleCreditData[event_var['es_steamid']]['Credits'] = Credits
				
def bomb_defused(event_var):				
        global Players 
        global simp_bomb_defuse_credit 
        Credits = SimpleCreditData[event_var['es_steamid']]['Credits'] + simp_bomb_defuse_credit 
        SimpleCreditData[event_var['es_steamid']]['Credits'] = Credits
		
def hostage_rescued(event_var):				
        global Players 
        global simp_hostage_rescued_credit 
        Credits = SimpleCreditData[event_var['es_steamid']]['Credits'] + simp_hostage_rescued_credit 
        SimpleCreditData[event_var['es_steamid']]['Credits'] = Credits
				
def hostage_killed(event_var):				
        global Players 
        global simp_hostage_killed_credit 
        Credits = SimpleCreditData[event_var['es_steamid']]['Credits'] + simp_hostage_killed_credit  
        SimpleCreditData[event_var['es_steamid']]['Credits'] = Credits
		
def round_end(event_var): 
        if event_var['winner'] == 3: 
                global simp_round_win_credit 
                for player in SimpleCreditData:
				Credits = SimpleCreditData[player]['Credits'] + simp_round_win_credit 
                SimpleCreditData[player]['Credits'] = Credits 
        if event_var['winner'] == 2: 
                for player in SimpleCreditData:
				Credits = SimpleCreditData[player]['Credits'] + simp_round_win_credit 
                SimpleCreditData[player]['Credits'] = Credits 
        global Players 
        str_path = open(es.getAddonPath('SimpleCredits') + '/SimpleCreditData.db', 'w') 
        cPickle.dump(SimpleCreditData, str_path) 
        str_path.close() 